HanMacWrdJGraphInternal::SubDocument Class Reference documentation

HanMacWrdJGraphInternal::SubDocument Class Referencefinal

Internal: the subdocument of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::SubDocument:

## Public Types
enum | Type { FrameInFrame , Group , Text , UnformattedTable , EmptyPicture }
| the document type More...

## Public Member Functions
| SubDocument (HanMacWrdJGraph &pars, MWAWInputStreamPtr const &input, Type type, long id, long firstChar=0)
| constructor
| SubDocument (HanMacWrdJGraph &pars, MWAWInputStreamPtr const &input, MWAWPosition const &pos, Type type, long id, int firstChar=0)
| constructor
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
HanMacWrdJGraph * | m_graphParser
| the graph parser
Type | m_type
| the zone type
long | m_id
| the zone id
long | m_firstChar
| the first char position
MWAWPosition | m_pos
| the position in a frame
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a HanMacWrdJGraph.

## Member Enumeration Documentation

## ◆ Type

enum HanMacWrdJGraphInternal::SubDocument::Type

the document type

Enumerator
FrameInFrame |
Group |
Text |
UnformattedTable |
EmptyPicture |

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

HanMacWrdJGraphInternal::SubDocument::SubDocument | ( | HanMacWrdJGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | Type | type,
|  | long | id,
|  | long | firstChar = 0 )
| inline

constructor

Referenced by operator!=(), operator=(), and SubDocument().

## ◆ SubDocument() [2/3]

HanMacWrdJGraphInternal::SubDocument::SubDocument | ( | HanMacWrdJGraph & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | MWAWPosition const & | pos,
|  | Type | type,
|  | long | id,
|  | int | firstChar = 0 )
| inline

constructor

## ◆ ~SubDocument()

HanMacWrdJGraphInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

HanMacWrdJGraphInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool HanMacWrdJGraphInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| finalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument & HanMacWrdJGraphInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| privatedelete

## ◆ parse()

void HanMacWrdJGraphInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_firstChar

long HanMacWrdJGraphInternal::SubDocument::m_firstChar
| protected

the first char position

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_graphParser

HanMacWrdJGraph* HanMacWrdJGraphInternal::SubDocument::m_graphParser
| protected

the graph parser

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_id

long HanMacWrdJGraphInternal::SubDocument::m_id
| protected

the zone id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_pos

MWAWPosition HanMacWrdJGraphInternal::SubDocument::m_pos
| protected

the position in a frame

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_type

Type HanMacWrdJGraphInternal::SubDocument::m_type
| protected

the zone type

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- HanMacWrdJGraph.cxx